- Main Page
- Related Pages
- Modules
- Classes
- Files

Functions
GLM_GTX_color_space: RGB to HSV conversion
GTX Extensions (Experimental)

## Functions
template<typename valType >
detail::tvec3< valType > | hsvColor (detail::tvec3< valType > const &rgbValue)
template<typename valType >
valType | luminosity (detail::tvec3< valType > const &color)
template<typename valType >
detail::tvec3< valType > | rgbColor (detail::tvec3< valType > const &hsvValue)
template<typename valType >
detail::tmat4x4< valType > | saturation (valType const s)
template<typename valType >
detail::tvec3< valType > | saturation (valType const s, detail::tvec3< valType > const &color)
template<typename valType >
detail::tvec4< valType > | saturation (valType const s, detail::tvec4< valType > const &color)

## Detailed Description

Related to RGB to HSV conversions and operations.

<glm/gtx/color_space.hpp> need to be included to use these functionalities.

## Function Documentation

detail::tvec3<valType> glm::hsvColor | ( | detail::tvec3< valType > const & | rgbValue | ) |

Converts a color from RGB color space to its color in HSV color space.

See also:
  GLM_GTX_color_space: RGB to HSV conversion

valType glm::luminosity | ( | detail::tvec3< valType > const & | color | ) |

Compute color luminosity associating ratios (0.33, 0.59, 0.11) to RGB canals.

See also:
  GLM_GTX_color_space: RGB to HSV conversion

detail::tvec3<valType> glm::rgbColor | ( | detail::tvec3< valType > const & | hsvValue | ) |

Converts a color from HSV color space to its color in RGB color space.

See also:
  GLM_GTX_color_space: RGB to HSV conversion

detail::tmat4x4<valType> glm::saturation | ( | valType const | s | ) |

Build a saturation matrix.

See also:
  GLM_GTX_color_space: RGB to HSV conversion

detail::tvec3<valType> glm::saturation | ( | valType const | s,
|  | detail::tvec3< valType > const & | color
| ) |  |

Modify the saturation of a color.

See also:
  GLM_GTX_color_space: RGB to HSV conversion

detail::tvec4<valType> glm::saturation | ( | valType const | s,
|  | detail::tvec4< valType > const & | color
| ) |  |

Modify the saturation of a color.

See also:
  GLM_GTX_color_space: RGB to HSV conversion